package cn.dg32z.lon.checks.impl.combat.analysis;

import cn.dg32z.lon.checks.Check;
import cn.dg32z.lon.checks.CheckData;
import cn.dg32z.lon.checks.type.RotationCheck;
import cn.dg32z.lon.checks.util.processor.rotateprocessor.RotateProcessor;
import cn.dg32z.lon.player.PlayerData;
import cn.dg32z.lon.utils.math.MathUtil;
import dev.jnic.BvwoT.a;
import java.security.MessageDigest;
import java.util.ArrayDeque;
import java.util.Deque;
import javax.crypto.Cipher;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;

@CheckData(name = "AnalysisB", configName = "AnalysisB", experimental = true, decay = 0.92d)
/* loaded from: cn_dg32z_lon_checks_impl_combat_analysis.jar:cn/dg32z/lon/checks/impl/combat/analysis/AnalysisB.class */
public class AnalysisB extends Check implements RotationCheck {
    private static final double DYNAMIC_CONSISTENCY_FACTOR;
    private final Deque consistencyScores;
    private final Deque discreteScores;
    private static final long ATTACK_COOLDOWN;
    private long lastFlag;
    private static final double DISCRETE_ADAPTIVE_FACTOR;
    private static final double CONSISTENCY_THRESHOLD;
    private static final int ANALYSIS_WINDOW;

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private boolean shouldFlag() {
        while (this.consistencyScores.size() >= 9) {
            while (true) {
                double exponentialWeightedMean = exponentialWeightedMean(this.consistencyScores);
                if (646.2497f - 13.480843f != 632.76886f) {
                    break;
                }
                double stdDev = MathUtil.stdDev(this.discreteScores, MathUtil.mean(this.discreteScores));
                if (1172.7927f - 7.4547315f == 1165.338f) {
                    double currentTimeMillis = 1.0d - ((System.currentTimeMillis() - this.player.getLastAttack()) / 100.0d);
                    if (731.6388549804688d - 0.2d != 731.43884f) {
                        if (exponentialWeightedMean > 0.78d * (1.0d + (currentTimeMillis * 1.18d)) && stdDev < (0.82d * stdDev) + 0.15d) {
                            return true;
                        }
                        if (766.0653076171875d - 0.7d != 765.3653f) {
                        }
                        return false;
                    }
                }
            }
        }
        return false;
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -2
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private double calculateEnhancedDiscrete(cn.dg32z.lon.checks.util.processor.rotateprocessor.RotateProcessor r8) {
        /*
            r7 = this;
            r0 = 0
            r9 = r0
            r0 = 0
            r11 = r0
            goto L38
        Lc:
            r0 = r9
            r1 = 4576918229304087675(0x3f847ae147ae147b, double:0.01)
            r2 = r8
            float r2 = r2.getYawAccel()
            r3 = r8
            float r3 = r3.getPitchAccel()
            float r2 = r2 + r3
            r3 = 1073741824(0x40000000, float:2.0)
            float r2 = r2 / r3
            double r2 = (double) r2
            double r1 = r1 + r2
            double r0 = r0 / r1
            r1 = r11
            double r0 = r0 * r1
            return r0
        L22:
            java.lang.Math.log1p(r-1)
            r11 = r-1
            r-1 = 4652465282277703680(0x4090e08640000000, double:1080.131103515625)
            r0 = 4600877379321698714(0x3fd999999999999a, double:0.4)
            double r-1 = r-1 - r0
            r0 = 1149695845(0x4486f765, float:1079.7311)
            double r0 = (double) r0
            int r-1 = (r-1 > r0 ? 1 : (r-1 == r0 ? 0 : -1))
            if (r-1 != 0) goto Lc
            goto L38
        L38:
            r0 = r8
            float r0 = r0.getYawAccel()
            r1 = r8
            float r1 = r1.getPitchAccel()
            float r0 = r0 - r1
            float r0 = java.lang.Math.abs(r0)
            double r0 = (double) r0
            r9 = r0
            r0 = 1144668578(0x443a41a2, float:745.0255)
            r1 = 1085528173(0x40b3d86d, float:5.620169)
            float r0 = r0 - r1
            r1 = 1144576497(0x4438d9f1, float:739.40533)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L85
            goto Lc
        L54:
            r-1.getDeltaPitch()
            java.lang.Math.abs(r-1)
            float r-2 = r-2 + r-1
            double r-2 = (double) r-2
            r-1 = 4653898322812076032(0x4095f7de00000000, double:1405.966796875)
            r0 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            double r-1 = r-1 - r0
            r0 = 1152363453(0x44afabbd, float:1405.3668)
            double r0 = (double) r0
            int r-1 = (r-1 > r0 ? 1 : (r-1 == r0 ? 0 : -1))
            if (r-1 != 0) goto L22
            goto L22
        L6d:
            float r-2 = r-2.getDeltaYaw()
            float r-2 = java.lang.Math.abs(r-2)
            r-1 = r8
            r0 = 4653144037434327040(0x409349d940000000, double:1234.462158203125)
            r1 = 4591870180066957722(0x3fb999999999999a, double:0.1)
            double r0 = r0 - r1
            r1 = 1150962583(0x449a4b97, float:1234.3622)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L54
            goto L54
        L85:
            r0 = r8
            r1 = 1150564020(0x449436b4, float:1185.7095)
            r2 = 1096496820(0x415b36b4, float:13.700855)
            float r1 = r1 - r2
            r2 = 1150451783(0x44928047, float:1172.0087)
            int r1 = (r1 > r2 ? 1 : (r1 == r2 ? 0 : -1))
            if (r1 != 0) goto L6d
            goto L6d
            throw r0
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisB.calculateEnhancedDiscrete(cn.dg32z.lon.checks.util.processor.rotateprocessor.RotateProcessor):double");
    }

    /* JADX WARN: Removed duplicated region for block: B:15:0x0041  */
    /* JADX WARN: Removed duplicated region for block: B:23:0x00c9  */
    /* JADX WARN: Removed duplicated region for block: B:27:0x0037 A[EDGE_INSN: B:27:0x0037->B:13:0x0037 BREAK  A[LOOP:1: B:21:0x001f->B:26:?], SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:28:0x0095 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:30:0x0077 A[SYNTHETIC] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:13:0x0031 -> B:20:0x0037). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:15:0x00d7 -> B:20:0x0037). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private double exponentialWeightedMean(java.util.Deque r8) {
        /*
            Method dump skipped, instructions count: 269
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisB.exponentialWeightedMean(java.util.Deque):double");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private boolean isValidAttackState() {
        return this.player.hasAttackedSince(100L);
    }

    /* JADX WARN: Multi-variable type inference failed */
    static {
        int i;
        byte[] bytes = "³\u009d\u0010²\u001ewDWdw+hµG\u000e#\u0085\u0017³\u0089\u0094é÷@\u0019í\u0001M\u0085\u0014ë¡êbº\u0018<\u001bÒÖÐª#\u0018ï\"¨ã\tM.ùq\u009bãy\u0085 P��2ÊJ\u0005Ñu\u0091\u008e\u0014ö§ü".getBytes("ISO_8859_1");
        byte[] bytes2 = "+��ºD,<?V".getBytes("ISO_8859_1");
        int i2 = 0;
        int length = bytes.length;
        do {
            switch (bytes[i2] & 255) {
                case false:
                    i = 2116963699;
                    break;
                case true:
                    i = -1106233679;
                    break;
                case true:
                    i = -836840211;
                    break;
                case true:
                    i = 381863600;
                    break;
                case true:
                    i = -1462194702;
                    break;
                case true:
                    i = 830308233;
                    break;
                case true:
                    i = -969794588;
                    break;
                case true:
                    i = 897153345;
                    break;
                case true:
                    i = -685544770;
                    break;
                case true:
                    i = 823224296;
                    break;
                case true:
                    i = 478289237;
                    break;
                case true:
                    i = 805148419;
                    break;
                case true:
                    i = 954314554;
                    break;
                case true:
                    i = 28050695;
                    break;
                case true:
                    i = 1357621839;
                    break;
                case true:
                    i = -136834050;
                    break;
                case true:
                    i = -732083307;
                    break;
                case true:
                    i = -1246119315;
                    break;
                case true:
                    i = -315026838;
                    break;
                case true:
                    i = 831239290;
                    break;
                case true:
                    i = 252076884;
                    break;
                case true:
                    i = 1238796178;
                    break;
                case true:
                    i = -1981452352;
                    break;
                case true:
                    i = 1451855941;
                    break;
                case true:
                    i = -438428072;
                    break;
                case true:
                    i = -1137709346;
                    break;
                case true:
                    i = 735034441;
                    break;
                case true:
                    i = -1200341761;
                    break;
                case true:
                    i = -1235892706;
                    break;
                case true:
                    i = -123645799;
                    break;
                case true:
                    i = -423400296;
                    break;
                case true:
                    i = 641164675;
                    break;
                case true:
                    i = -773765129;
                    break;
                case true:
                    i = 1220748816;
                    break;
                case true:
                    i = -1662812114;
                    break;
                case true:
                    i = -1011897459;
                    break;
                case true:
                    i = 2064979026;
                    break;
                case true:
                    i = 2078637139;
                    break;
                case true:
                    i = -228571414;
                    break;
                case true:
                    i = -1711739510;
                    break;
                case true:
                    i = 2014627494;
                    break;
                case true:
                    i = 594709315;
                    break;
                case true:
                    i = -1632686792;
                    break;
                case true:
                    i = 792155829;
                    break;
                case true:
                    i = -862382526;
                    break;
                case true:
                    i = 79586848;
                    break;
                case true:
                    i = 1543470822;
                    break;
                case true:
                    i = 1662119515;
                    break;
                case true:
                    i = -215421354;
                    break;
                case true:
                    i = 2115306796;
                    break;
                case true:
                    i = -98710012;
                    break;
                case true:
                    i = 391868749;
                    break;
                case true:
                    i = -1433746814;
                    break;
                case true:
                    i = -769119657;
                    break;
                case true:
                    i = -425496269;
                    break;
                case true:
                    i = 751872522;
                    break;
                case true:
                    i = 254831489;
                    break;
                case true:
                    i = -1626146524;
                    break;
                case true:
                    i = -1603380163;
                    break;
                case true:
                    i = -794712063;
                    break;
                case true:
                    i = -1045354284;
                    break;
                case true:
                    i = -1119803232;
                    break;
                case true:
                    i = -1959712241;
                    break;
                case true:
                    i = 1659730540;
                    break;
                case true:
                    i = -1601529659;
                    break;
                case true:
                    i = 719595028;
                    break;
                case true:
                    i = -390973924;
                    break;
                case true:
                    i = -1498527048;
                    break;
                case true:
                    i = -2053459052;
                    break;
                case true:
                    i = -763319941;
                    break;
                case true:
                    i = 189531773;
                    break;
                case true:
                    i = -619837796;
                    break;
                case true:
                    i = 1146235494;
                    break;
                case true:
                    i = -87850801;
                    break;
                case true:
                    i = 1068526794;
                    break;
                case true:
                    i = -1560675229;
                    break;
                case true:
                    i = 633320413;
                    break;
                case true:
                    i = 460621806;
                    break;
                case true:
                    i = 1175659886;
                    break;
                case true:
                    i = -1404174453;
                    break;
                case true:
                    i = 2022317767;
                    break;
                case true:
                    i = 189476059;
                    break;
                case true:
                    i = 1140315896;
                    break;
                case true:
                    i = 844499427;
                    break;
                case true:
                    i = -1242022336;
                    break;
                case true:
                    i = -589829663;
                    break;
                case true:
                    i = -617959957;
                    break;
                case true:
                    i = 971994223;
                    break;
                case true:
                    i = -947714177;
                    break;
                case true:
                    i = -236289320;
                    break;
                case true:
                    i = -148240800;
                    break;
                case true:
                    i = -1635699898;
                    break;
                case true:
                    i = 1130324488;
                    break;
                case true:
                    i = 1964315353;
                    break;
                case true:
                    i = 196796150;
                    break;
                case true:
                    i = 949267826;
                    break;
                case true:
                    i = -147676469;
                    break;
                case true:
                    i = 1952981128;
                    break;
                case true:
                    i = 80279870;
                    break;
                case true:
                    i = -145809313;
                    break;
                case true:
                    i = -671245508;
                    break;
                case true:
                    i = -1216069850;
                    break;
                case true:
                    i = 1414459998;
                    break;
                case true:
                    i = 1067820439;
                    break;
                case true:
                    i = -898122996;
                    break;
                case true:
                    i = 1373769535;
                    break;
                case true:
                    i = 504474368;
                    break;
                case true:
                    i = 891572569;
                    break;
                case true:
                    i = -1596674953;
                    break;
                case true:
                    i = 419007980;
                    break;
                case true:
                    i = -306327203;
                    break;
                case true:
                    i = 1254293291;
                    break;
                case true:
                    i = -410753495;
                    break;
                case true:
                    i = 150863058;
                    break;
                case true:
                    i = 296577298;
                    break;
                case true:
                    i = 348695863;
                    break;
                case true:
                    i = -2094615602;
                    break;
                case true:
                    i = 1114897326;
                    break;
                case true:
                    i = 1049007163;
                    break;
                case true:
                    i = 1768464182;
                    break;
                case true:
                    i = -471301136;
                    break;
                case true:
                    i = 1799058607;
                    break;
                case true:
                    i = -1790704890;
                    break;
                case true:
                    i = 1792185649;
                    break;
                case true:
                    i = 1863491623;
                    break;
                case true:
                    i = -1493207225;
                    break;
                case true:
                    i = 1229641114;
                    break;
                case true:
                    i = -1121859551;
                    break;
                case true:
                    i = 1274451970;
                    break;
                case true:
                    i = 429539804;
                    break;
                case true:
                    i = -1372012148;
                    break;
                case true:
                    i = 1932300285;
                    break;
                case true:
                    i = -1495273337;
                    break;
                case true:
                    i = -1977879218;
                    break;
                case true:
                    i = 1347474859;
                    break;
                case true:
                    i = -789525627;
                    break;
                case true:
                    i = -1199770411;
                    break;
                case true:
                    i = -1694054378;
                    break;
                case true:
                    i = 1176252358;
                    break;
                case true:
                    i = -277380927;
                    break;
                case true:
                    i = 60013024;
                    break;
                case true:
                    i = 2084283236;
                    break;
                case true:
                    i = 959933433;
                    break;
                case true:
                    i = 1187793096;
                    break;
                case true:
                    i = -1425201819;
                    break;
                case true:
                    i = -1723956300;
                    break;
                case true:
                    i = -1097025510;
                    break;
                case true:
                    i = -1119129048;
                    break;
                case true:
                    i = -123138331;
                    break;
                case true:
                    i = -1289085649;
                    break;
                case true:
                    i = -1220162997;
                    break;
                case true:
                    i = -766246272;
                    break;
                case true:
                    i = -162806566;
                    break;
                case true:
                    i = -182550370;
                    break;
                case true:
                    i = 1207964513;
                    break;
                case true:
                    i = -342299247;
                    break;
                case true:
                    i = -1173968820;
                    break;
                case true:
                    i = -865156555;
                    break;
                case true:
                    i = -436137957;
                    break;
                case true:
                    i = 2048866768;
                    break;
                case true:
                    i = -318601604;
                    break;
                case true:
                    i = -812778758;
                    break;
                case true:
                    i = 1416591798;
                    break;
                case true:
                    i = 1017962710;
                    break;
                case true:
                    i = 1888217465;
                    break;
                case true:
                    i = 2013006775;
                    break;
                case true:
                    i = -923685733;
                    break;
                case true:
                    i = 591831057;
                    break;
                case true:
                    i = 1877910303;
                    break;
                case true:
                    i = 1484192962;
                    break;
                case true:
                    i = -1046433605;
                    break;
                case true:
                    i = 1889081611;
                    break;
                case true:
                    i = -623957987;
                    break;
                case true:
                    i = 1102968877;
                    break;
                case true:
                    i = 415403199;
                    break;
                case true:
                    i = 2097929420;
                    break;
                case true:
                    i = 931500069;
                    break;
                case true:
                    i = 830412194;
                    break;
                case true:
                    i = 967174518;
                    break;
                case true:
                    i = -1442623247;
                    break;
                case true:
                    i = 283595003;
                    break;
                case true:
                    i = 819564164;
                    break;
                case true:
                    i = -517724568;
                    break;
                case true:
                    i = 2092995687;
                    break;
                case true:
                    i = 1680475106;
                    break;
                case true:
                    i = 1987189365;
                    break;
                case true:
                    i = -621909710;
                    break;
                case true:
                    i = -1113801806;
                    break;
                case true:
                    i = 1666895849;
                    break;
                case true:
                    i = 1001350698;
                    break;
                case true:
                    i = -1239595863;
                    break;
                case true:
                    i = -1135668829;
                    break;
                case true:
                    i = 1955285162;
                    break;
                case true:
                    i = 160498337;
                    break;
                case true:
                    i = 1858207763;
                    break;
                case true:
                    i = 1120156611;
                    break;
                case true:
                    i = 1989005983;
                    break;
                case true:
                    i = -1611447892;
                    break;
                case true:
                    i = -1296848572;
                    break;
                case true:
                    i = 939945862;
                    break;
                case true:
                    i = 1059646387;
                    break;
                case true:
                    i = -1774795836;
                    break;
                case true:
                    i = 1421957993;
                    break;
                case true:
                    i = -904589421;
                    break;
                case true:
                    i = -850797828;
                    break;
                case true:
                    i = 107659251;
                    break;
                case true:
                    i = 102139228;
                    break;
                case true:
                    i = 445406800;
                    break;
                case true:
                    i = 1899277658;
                    break;
                case true:
                    i = -662353753;
                    break;
                case true:
                    i = -785050225;
                    break;
                case true:
                    i = -1260116979;
                    break;
                case true:
                    i = -298282729;
                    break;
                case true:
                    i = -98233484;
                    break;
                case true:
                    i = -1883982150;
                    break;
                case true:
                    i = -2146012395;
                    break;
                case true:
                    i = 1649199664;
                    break;
                case true:
                    i = 487357341;
                    break;
                case true:
                    i = -1690981807;
                    break;
                case true:
                    i = -957487326;
                    break;
                case true:
                    i = 829161716;
                    break;
                case true:
                    i = -1556228458;
                    break;
                case true:
                    i = -303506705;
                    break;
                case true:
                    i = 1548551793;
                    break;
                case true:
                    i = -1043820674;
                    break;
                case true:
                    i = -1751297757;
                    break;
                case true:
                    i = 1593191639;
                    break;
                case true:
                    i = -1313427688;
                    break;
                case true:
                    i = 206441645;
                    break;
                case true:
                    i = -444801325;
                    break;
                case true:
                    i = 1847931755;
                    break;
                case true:
                    i = -126245302;
                    break;
                case true:
                    i = -1080999256;
                    break;
                case true:
                    i = 616232201;
                    break;
                case true:
                    i = 1740361893;
                    break;
                case true:
                    i = -2023769586;
                    break;
                case true:
                    i = 1670464398;
                    break;
                case true:
                    i = -77254963;
                    break;
                case true:
                    i = -2134288056;
                    break;
                case true:
                    i = -773646684;
                    break;
                case true:
                    i = -675194823;
                    break;
                case true:
                    i = 1163655544;
                    break;
                case true:
                    i = -867415363;
                    break;
                case true:
                    i = 955428496;
                    break;
                case true:
                    i = 66910652;
                    break;
                case true:
                    i = 1719988959;
                    break;
                case true:
                    i = -1374963404;
                    break;
                case true:
                    i = -92741431;
                    break;
                case true:
                    i = 1434713333;
                    break;
                case true:
                    i = -1460822297;
                    break;
                case true:
                    i = 1205661977;
                    break;
                case true:
                    i = 40220770;
                    break;
                case true:
                    i = -466699408;
                    break;
                case true:
                    i = -1776776263;
                    break;
                case true:
                    i = -1935609647;
                    break;
                case true:
                    i = -2144308219;
                    break;
                default:
                    i = -152116676;
                    break;
            }
            int i3 = i2;
            i2++;
            bytes[i3] = (byte) i;
        } while (i2 != length);
        Cipher cipher = Cipher.getInstance("DES/CBC/PKCS5Padding");
        cipher.init(2, SecretKeyFactory.getInstance("DES").generateSecret(new DESKeySpec(bytes2)), new IvParameterSpec(new byte[8]));
        byte[] doFinal = cipher.doFinal(bytes);
        int length2 = doFinal.length;
        MessageDigest messageDigest = MessageDigest.getInstance("SHA-256");
        messageDigest.reset();
        int i4 = length2 - 32;
        messageDigest.update(doFinal, 0, i4);
        byte[] digest = messageDigest.digest();
        int i5 = 0;
        Object[] objArr = false;
        int i6 = 0;
        do {
            objArr = (objArr == true ? 1 : 0) | (doFinal[i4 + i5] ^ digest[i5]) ? 1 : 0;
            i5++;
        } while (i5 != 32);
        if (objArr == false) {
            Object[] objArr2 = new Object[1];
            a.e(objArr2);
            int i7 = 0;
            do {
                int i8 = i7;
                int i9 = i7 + 1;
                int i10 = i9 + 1;
                int i11 = (doFinal[i8] & 255) | ((doFinal[i9] & 255) << 8);
                byte[] bArr = new byte[i11];
                System.arraycopy(doFinal, i10, bArr, 0, i11);
                i7 = i10 + i11;
                int i12 = i6;
                i6++;
                objArr2[i12] = new String(bArr, "UTF-8").intern();
            } while (i7 != i4);
        }
        ATTACK_COOLDOWN = 100L;
        DISCRETE_ADAPTIVE_FACTOR = 0.82d;
        DYNAMIC_CONSISTENCY_FACTOR = 1.18d;
        CONSISTENCY_THRESHOLD = 0.78d;
        ANALYSIS_WINDOW = 18;
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -2
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private java.lang.String buildDebugMessage(double r12, double r14) {
        /*
            r11 = this;
            goto L59
        L3:
            double r-2 = r-2.exponentialWeightedMean(r-1)
            java.lang.Double r-2 = java.lang.Double.valueOf(r-2)
            r-4[r-3] = r-2
            r-4 = r-5
            r-3 = 2
            r-2 = r14
            r-1 = 1142041917(0x44122d3d, float:584.70685)
            r0 = 1093287073(0x412a3ca1, float:10.639802)
            float r-1 = r-1 - r0
            r0 = 1141867594(0x440f844a, float:574.067)
            int r-1 = (r-1 > r0 ? 1 : (r-1 == r0 ? 0 : -1))
            if (r-1 == 0) goto L1e
            goto L3d
        L1e:
            java.lang.Double r-2 = java.lang.Double.valueOf(r-2)
            r-4[r-3] = r-2
            r-4 = r-5
            r-3 = 3
            r-2 = r11
            java.util.Deque r-2 = r-2.consistencyScores
            r-1 = 1147537772(0x4466096c, float:920.1472)
            r0 = 1086462718(0x40c21afe, float:6.065795)
            float r-1 = r-1 - r0
            r0 = 1147438390(0x44648536, float:914.0814)
            int r-1 = (r-1 > r0 ? 1 : (r-1 == r0 ? 0 : -1))
            if (r-1 == 0) goto L7c
            goto L7c
        L39:
            java.lang.String r-3 = java.lang.String.format(r-3, r-2)
            return r-3
        L3d:
            java.lang.Double r-2 = java.lang.Double.valueOf(r-2)
            r-4[r-3] = r-2
            r-4 = r-5
            r-3 = 1
            r-2 = r11
            r-1 = r11
            java.util.Deque r-1 = r-1.consistencyScores
            r0 = 1151681680(0x44a54490, float:1322.1426)
            r1 = 1093962889(0x41348c89, float:11.28431)
            float r0 = r0 - r1
            r1 = 1151589239(0x44a3db77, float:1310.8583)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L3
            goto L3
        L59:
            r0 = 243007488(0xe7c0000, float:3.1061398E-30)
            char r0 = (char) r0
            java.lang.Object r0 = a(r0)
            java.lang.String r0 = (java.lang.String) r0
            r1 = 4
            java.lang.Object[] r1 = new java.lang.Object[r1]
            r2 = r1
            r3 = 0
            r4 = r12
            r5 = 4649993478669860864(0x4088186ea0000000, double:771.0540161132812)
            r6 = 4606281698874543309(0x3feccccccccccccd, double:0.9)
            double r5 = r5 - r6
            r6 = 1145080283(0x444089db, float:770.154)
            double r6 = (double) r6
            int r5 = (r5 > r6 ? 1 : (r5 == r6 ? 0 : -1))
            if (r5 == 0) goto L1e
            goto L3d
        L7c:
            int r-2 = r-2.size()
            java.lang.Integer r-2 = java.lang.Integer.valueOf(r-2)
            r-4[r-3] = r-2
            r-4 = 1141238054(0x4405e926, float:535.64294)
            r-3 = 1095793198(0x41507a2e, float:13.029829)
            float r-4 = r-4 - r-3
            r-3 = 1141024573(0x4402a73d, float:522.6131)
            int r-4 = (r-4 > r-3 ? 1 : (r-4 == r-3 ? 0 : -1))
            if (r-4 != 0) goto L39
            goto L39
            throw r-5
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisB.buildDebugMessage(double, double):java.lang.String");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private void resetAnalysisWindow() {
        do {
            this.consistencyScores.clear();
        } while (951.2969f - 11.3002205f != 939.99664f);
        this.discreteScores.clear();
        if (704.62604f - 6.7106056f != 697.9154f) {
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private double calculateDynamicConsistency(RotateProcessor rotateProcessor) {
        double d = 0.0d;
        while (true) {
            double abs = Math.abs(rotateProcessor.getDeltaDotsX()) + Math.abs(rotateProcessor.getDeltaDotsY());
            if (842.4078369140625d - 0.6d != 841.80786f) {
                d = MathUtil.getFractionalPart(abs);
                if (1153.1884765625d - 0.4d == 1152.7885f) {
                    continue;
                }
            }
            if (d < 0.12d) {
                return 1.0d;
            }
            if (d <= 0.88d) {
                if (d > 0.35d && d < 0.65d) {
                    return 0.4d;
                }
                if (729.66895f - 7.201664f == 722.4673f) {
                }
                return 0.0d;
            }
            if (1179.1494140625d - 0.6d != 1178.5494f) {
                return 1.0d;
            }
        }
    }

    public AnalysisB(PlayerData playerData) {
        super(playerData);
        this.consistencyScores = new ArrayDeque();
        this.discreteScores = new ArrayDeque();
    }

    /*  JADX ERROR: Failed to decode insn: 0x0013: MOVE_MULTI, method: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisB.process(cn.dg32z.lon.utils.update.RotationUpdate):void
        java.lang.ArrayIndexOutOfBoundsException: arraycopy: source index -1 out of bounds for object array[8]
        	at java.base/java.lang.System.arraycopy(Native Method)
        	at jadx.plugins.input.java.data.code.StackState.insert(StackState.java:49)
        	at jadx.plugins.input.java.data.code.CodeDecodeState.insert(CodeDecodeState.java:118)
        	at jadx.plugins.input.java.data.code.JavaInsnsRegister.dup2x1(JavaInsnsRegister.java:313)
        	at jadx.plugins.input.java.data.code.JavaInsnData.decode(JavaInsnData.java:46)
        	at jadx.core.dex.instructions.InsnDecoder.lambda$process$0(InsnDecoder.java:54)
        	at jadx.plugins.input.java.data.code.JavaCodeReader.visitInstructions(JavaCodeReader.java:81)
        	at jadx.core.dex.instructions.InsnDecoder.process(InsnDecoder.java:50)
        	at jadx.core.dex.nodes.MethodNode.load(MethodNode.java:156)
        	at jadx.core.dex.nodes.ClassNode.load(ClassNode.java:443)
        	at jadx.core.ProcessClass.process(ProcessClass.java:70)
        	at jadx.core.ProcessClass.generateCode(ProcessClass.java:118)
        	at jadx.core.dex.nodes.ClassNode.generateClassCode(ClassNode.java:400)
        	at jadx.core.dex.nodes.ClassNode.decompile(ClassNode.java:388)
        	at jadx.core.dex.nodes.ClassNode.getCode(ClassNode.java:338)
        */
    public void process(cn.dg32z.lon.utils.update.RotationUpdate r9) {
        /*
            Method dump skipped, instructions count: 479
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisB.process(cn.dg32z.lon.utils.update.RotationUpdate):void");
    }

    /* JADX WARN: Code restructure failed: missing block: B:11:0x0023, code lost:
    
        if ((1051.929443359375d - 0.4d) == 1051.5294f) goto L12;
     */
    /* JADX WARN: Removed duplicated region for block: B:10:0x0017  */
    /* JADX WARN: Removed duplicated region for block: B:13:0x0029 A[RETURN] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:10:0x0023 -> B:4:0x0075). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:10:0x0023 -> B:6:0x0049). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private void updateAnalysisWindow(double r6, double r8) {
        /*
            r5 = this;
            r0 = 0
            r10 = r0
            goto L56
        L6:
            r0 = r5
            java.util.Deque r0 = r0.consistencyScores
            int r0 = r0.size()
            r1 = 18
            r2 = r10
            int r1 = r1 * r2
            if (r0 <= r1) goto L29
            r0 = 4652341250064646144(0x40906fb7c0000000, double:1051.929443359375)
            r1 = 4600877379321698714(0x3fd999999999999a, double:0.4)
            double r0 = r0 - r1
            r1 = 1149464817(0x448370f1, float:1051.5294)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L75
            goto L49
        L29:
            return
        L2a:
            r0 = r5
            java.util.Deque r0 = r0.discreteScores
            r1 = r8
            java.lang.Double r1 = java.lang.Double.valueOf(r1)
            r0.addLast(r1)
            r0 = 4651563056751443968(0x408dabf480000000, double:949.494384765625)
            r1 = 4605380978949069210(0x3fe999999999999a, double:0.8)
            double r0 = r0 - r1
            r1 = 1148005489(0x446d2c71, float:948.6944)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L91
            goto L75
        L49:
            r0 = r5
            java.util.Deque r0 = r0.discreteScores
            java.lang.Object r0 = r0.removeFirst()
            goto L6
        L56:
            r0 = r5
            java.util.Deque r0 = r0.consistencyScores
            r1 = r6
            java.lang.Double r1 = java.lang.Double.valueOf(r1)
            r0.addLast(r1)
            r0 = 4650073892805672960(0x4088619180000000, double:780.196044921875)
            r1 = 4599075939470750515(0x3fd3333333333333, double:0.3)
            double r0 = r0 - r1
            r1 = 1145239897(0x4442f959, float:779.89606)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L75
            goto L2a
        L75:
            r0 = r5
            java.util.Deque r0 = r0.consistencyScores
            java.lang.Object r0 = r0.removeFirst()
            r0 = 4649007989296988160(0x4084982280000000, double:659.016845703125)
            r1 = 4599075939470750515(0x3fd3333333333333, double:0.3)
            double r0 = r0 - r1
            r1 = 1143254497(0x4424ade1, float:658.71686)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L49
            goto L75
        L91:
            r0 = 1
            r1 = r5
            cn.dg32z.lon.player.PlayerData r1 = r1.player
            int r1 = r1.getTransactionPing()
            r2 = 50
            int r1 = r1 / r2
            int r0 = java.lang.Math.max(r0, r1)
            r10 = r0
            r0 = 4653044743159152640(0x4092ef8a80000000, double:1211.88525390625)
            r1 = 4591870180066957722(0x3fb999999999999a, double:0.1)
            double r0 = r0 - r1
            r1 = 1150777633(0x44977921, float:1211.7853)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L6
            goto L6
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisB.updateAnalysisWindow(double, double):void");
    }

    private static Object a(char c) {
        Object obj = a;
    }
}
